## Check missing assets `pages.assets.check_missing(AssetCheckMissingParams**kwargs) -> SyncSinglePage[AssetCheckMissingResponse]` **post** `/pages/assets/check-missing` Check which of the provided file hashes are missing from the Pages asset store. Returns a list of missing hashes that need to be uploaded. Used as part of the Pages Direct Upload workflow. Authenticate with the JWT obtained from the upload-token endpoint: GET /accounts/{account_id}/pages/projects/{project_name}/upload-token ### Parameters - `hashes: Sequence[str]` List of file content hashes to check for existence in the asset store. ### Returns - `str` ### Example ```python from cloudflare import Cloudflare client = Cloudflare() page = client.pages.assets.check_missing( hashes=["a948904f2f0f479b8f936b8a0c5d9882", "b026324c6904b2a9cb4b88d6d61c81d1"], ) page = page.result[0] print(page) ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": [ "b026324c6904b2a9cb4b88d6d61c81d1" ], "success": true } ```